All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.relational
Class InsertRowCommand

    com.sas.commands.relational.InsertRowCommand

All Implemented Interfaces:
  CommandSupportedInterface, ContentsChangedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class InsertRowCommand

implements ContentsChangedInterface, CommandSupportedInterface

This class implements the hold Row command.

Field Summary
`static java.lang.String` | `RB_KEY`
`protected int` | `row`
`protected TableView` | `table`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`InsertRowCommand()` Default constructor
`InsertRowCommand(java.lang.String name)` Constructor that accepts a command name
`InsertRowCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type

Method Summary
`void` | `execute(java.lang.Object o)` This method implements the execute method on the CommandInterface, which is not implemented by the abstract BaseCommand class
`java.util.HashMap` | `getEventInfo()` Returns a Map of event keys to event values.
`java.lang.Object` | `getEventSource()` Returns the target of this command which is the implicit source of the Event that will be fired due to the changed state of the target.
`int` | `getRow()`
`TableView` | `getTable()`
`boolean` | `isContentsChanged()` Return a boolean indicating whether the operation carried out during the command's last execution caused the command's target object to change.
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.
`void` | `setEventSource(java.lang.Object eventSource)`
`void` | `setRow(int row)`
`void` | `setTable(TableView table)`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### table

    protected TableView table

### row

    protected int row

Constructor Detail

### InsertRowCommand

    public InsertRowCommand()

  Default constructor

### InsertRowCommand

    public InsertRowCommand(java.lang.String name)

  Constructor that accepts a command name

### InsertRowCommand

    public InsertRowCommand(java.lang.String name,
                            java.lang.String actionClass)

  Constructor that accepts a command name and an action class type

Method Detail

### execute

    public void execute(java.lang.Object o)

  This method implements the execute method on the CommandInterface, which is not implemented by the abstract BaseCommand class

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `o` - The output stream to which the results of this command should be written.

### isContentsChanged

    public boolean isContentsChanged()

  Description copied from interface: `ContentsChangedInterface`
  Return a boolean indicating whether the operation carried out during the command's last execution caused the command's target object to change.

  Specified by:
    `isContentsChanged` in interface `ContentsChangedInterface`
  Returns:
    boolean indicating whether the command's target changed.

### getEventInfo

    public java.util.HashMap getEventInfo()

  Description copied from interface: `ContentsChangedInterface`
  Returns a Map of event keys to event values.

  The keys and values on the map are dependent on the command and the type of target object that it operates on.

  Specified by:
    `getEventInfo` in interface `ContentsChangedInterface`
  Returns:
    a Map of event keys to event values.

### getEventSource

    public java.lang.Object getEventSource()

  Description copied from interface: `ContentsChangedInterface`
  Returns the target of this command which is the implicit source of the Event that will be fired due to the changed state of the target.

  Specified by:
    `getEventSource` in interface `ContentsChangedInterface`
  Returns:
    the target Object of this command.

### setEventSource

    public void setEventSource(java.lang.Object eventSource)

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.

  Specified by:
    `isSupported` in interface `CommandSupportedInterface`
  Parameters:
    `actionFilter` - The object that describes the current area.
  Returns:
    a boolean indicating whether the command is supported.
  See Also:
    `BaseAction.setReturnStatus(int)`

### setTable

    public void setTable(TableView table)

### getTable

    public TableView getTable()

### setRow

    public void setRow(int row)

### getRow

    public int getRow()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.